<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recognize Ektp</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <style>
        .ktp-preview {
            width: 200px;
            min-height: 100px;
            border: 2px solid #dddddd;
            margin-top: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            color: #cccccc;
        }

        .face-preview {
            width: 100px;
            min-height: 100px;
            border: 2px solid #dddddd;
            margin-top: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            color: #cccccc;
        }

       
        .status-message {
            font-size: 20px;
            font-weight: bold;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <form class="col s12">
                <div class="file-field input-field col s12">
                    <div class="btn">
                        <span>Browse</span>
                        <input type="file" name="file_ktp" id="file_ktp" />
                    </div>
                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Upload KTP" />
                    </div>
                </div>
                
                <div class="file-field input-field col s12">
                    <div class="btn">
                        <span>Browse</span>
                        <input type="file" name="file_foto" id="file_foto" />
                    </div>

                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Upload Foto" />
                    </div>
                </div>
            </form>
            <div class="row">
                <div class="col s12">
                    <button class="btn" id="upload">Upload</button>
                </div>
            </div>
            <!-- <canvas id="myCanvas" width="500" height="200" style="border:3px solid">
                HTML5 canvas tag is not
                supported by your browser.
            </canvas> -->
            <div class="progress" style="display: none;" id="progress">
                <div class="indeterminate"></div>
            </div>
            <div class="row">
                <div class="col s12">
                    <span class="status-message" id="status_message"></span>
                </div>
            </div>
            <div class="row">
                <div class="col s4">
                    <img src="" id="img_ktp" class="ktp-preview" style="display: none;"/>
                </div>
                <div class="col s4">
                    <img src="" id="img_wajah_ktp" class="face-preview" style="display: none;"/>
                </div>
                <div class="col s4">
                    <img src="" id="img_wajah_foto" class="face-preview" style="display: none;"/>
                </div>
            </div>
            
            
            
            
            
        </div>
    </div>


    <!-- <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs"></script>
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow-models/blazeface"></script> -->
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/tensorflow/3.11.0/tf.min.js'></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.23.0/axios.min.js" integrity="sha512-Idr7xVNnMWCsgBQscTSCivBNWWH30oo/tzYORviOCrLKmBaRxRflm2miNhTFJNVmXvCtzgms5nlJF4az2hiGnA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="/face.js"></script>
</body>

</html>